#!/bin/bash
#
# Egyszeru script az urlcheck kimenetek egyedi logokba torento szetosztasara.
# Erosen kihasznalja az urlcheck.sh kimeneti formatumat!
# kovacs.zoltan@mimoza.hu 2005-10-11

APACHE_LOGDIR="/var/log/apache"
AWK="/usr/bin/awk"
COMMON_LOGNAME="ALLHOSTS"
SED="/bin/sed"
URLCHECK_SUFFIX="-urlcheck.log"

cat | while read LINE

# Minden sor bekerul a kozos logba.

do
    echo "$LINE" >> "$APACHE_LOGDIR/$COMMON_LOGNAME$URLCHECK_SUFFIX"

# Meghatarozza a hostnevet, es beteszio a sort a hosthoz tartozo logfile-ba.
# Az urlcheck.sh kimnenet harmadik mezejet tekinti URL-nek, ebbol veszi ki a
# hostnevet.

    HOST=`echo "$LINE" | $AWK '{print $3}' | $SED "s/\(.*\:\/\/\)\(\(\([0-9a-zA-Z_-]\)\+\.\)\+\([0-9a-zA-Z]\)\+\)\(.*$\)/\2/"`
    echo "$LINE" >> "$APACHE_LOGDIR/$HOST$URLCHECK_SUFFIX"
done
